%include common-macros.specinclude

Summary: A postscript interpreter.
Name: lsb-ghostscript
Version: 9.02
Release: 4.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: GPL
Group: Appbat/text tools
BuildRoot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc

Source0: http://ghostscript.com/releases/ghostscript-%{version}.tar.bz2

%description
LSB conforming version of ghostscript.
Ghostscript is an interpreter for the PostScript (TM) language. A PostScript
interpreter usually takes as input a set of graphics commands. The output is 
usually a page bitmap which is then sent to an output device such as a 
printer or display. PostScript is embedded in many printers.
Ghostscript is added to the LSB Application Battery primarly to excercise
CUPS interfaces.

%prep
%setup -q -n ghostscript-%{version}

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif
%define libdir %{prefix}/%{lib}

# need to be able to align with the LSB/libbat version we're built for
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define libdir %{prefix}/%{lib}-%{appbatversion}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig:/opt/lsb/libbat/%{appbatversion}/%{lib}/pkgconfig
export PATH=/opt/lsb/libbat/%{appbatversion}/bin:${PATH}

# make sure we use the LSB one
export CUPSCONFIG=%{prefix}/bin/cups-config

# s390/s390x segfault unless we relax the opt flags (noted in SLES10's build/changelog, SI testing)
%ifarch s390 s390x
sed -i 's|O2|O1|g' configure
%endif

./configure \
    --prefix=%{app_prefix} \
    --with-drivers=PS \
    --without-omni

# install still gets things wrong even after we specify prefix
# really a cups-config issue, not every compliant app wants to use /opt/lsb
sed -i 's|CUPSSERVERBIN=/opt/lsb|CUPSSERVERBIN=${prefix}|;s|CUPSDATA=/opt/lsb|CUPSDATA=${prefix}|;s|CUPSSERVERROOT=|CUPSSERVERROOT=${prefix}|' Makefile

make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{app_prefix}
make prefix=%{buildroot}%{app_prefix} install

# need a version-agnostic examples link so we don't have to change the FVT so much
cd %{buildroot}%{sharedir}/ghostscript
ln -sf %{version}/examples examples
cd -

%pre

%post

%preun

%postun

%clean
rm -rf %{buildroot}

%files

%attr ( -   root root ) /opt/lsb/appbat

%changelog
* Wed Jun 15 2011 Stew Benedict <stewb@linux-foundation.org>
- uplift to 9.02

* Thu May 12 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

* Tue Mar 25 2008 Stew Benedict <stewb@linux-foundation.org>
- uplift to 8.62

